### Function

# GWeather Location detect_nearest_city_finish

#### Declaration [src]

    GWeatherLocation*
    gweather_location_detect_nearest_city_finish (
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Fetches the location from `result`.

#### Parameters

`result` | `GAsyncResult`
| The result of the asynchronous operation.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GWeatherLocation`
| Customized GWeatherLocation.
| The caller of the function takes ownership of the data, and is responsible for freeing it.